Bug 962276 - Firefox needs >100% CPU
Firefox needs >100% CPU
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Firefox
Leap 42.1
x86-64 openSUSE 42.1
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 08:19 UTC by Ulrich Windl
Modified: 2016-12-08 07:42 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Screenshot of Top showing threads (Firefox and others) (108.26 KB, image/png)
2016-02-12 13:08 UTC, Ulrich Windl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2016-01-18 08:19:12 UTC
I wonder how to debug this: At some moment in time Firefox started to use >100% CPU on a 4-core machine while actually being idle. Restarting Firefox (and reopening the last session) did not help.
MozillaFirefox-43.0.3-9.2.x86_64

I noticed the problem when the CPU fan suddenly made a lot of noise.
After several minutes, CPU returned to normal (firefox using < 10% CPU).
Comment 1 Ulrich Windl 2016-02-12 13:07:36 UTC
I have it again with MozillaFirefox-44.0-12.2.x86_64: Firefox eats 130 to 160% CPU on a 4-core machine, making the fans scream. This happened after I had visited https://bugs.documentfoundation.org, but maybe that's just a conincidence: I was not using Firefox at all; it was just sitting there with a bunch of tabs being open. What I'd like to have is an "about:cpu".
Comment 2 Ulrich Windl 2016-02-12 13:08:36 UTC
Created attachment 665418 [details]
Screenshot of Top showing threads (Firefox and others)
Comment 3 Ulrich Windl 2016-02-12 13:50:54 UTC
Firefox continued to burn CPU cycles; now top reports (note the TIME column):
  PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND    
 3113 user      20   0 1561604 534832  79396 R 98.34 13.22 100:51.98 Cache2 I/O 
 3063 user      20   0 1561604 534832  79396 R 18.54 13.22  50:57.21 firefox    
 3102 user      20   0 1561604 534832  79396 S 6.954 13.22  12:56.22 Socket Th+
Comment 4 Ulrich Windl 2016-03-01 07:29:20 UTC
Please see https://bugzilla.mozilla.org/show_bug.cgi?id=1248389: Bug should be fixed in Firefox 47. Meanwhile my Firefox is burning CPU cycles like mad (just started a few minutes ago):

top - 08:26:26 up 4 days, 23:23,  3 users,  load average: 1.32, 1.18, 1.10
Tasks: 272 total,   1 running, 269 sleeping,   2 stopped,   0 zombie
%Cpu(s): 26.4 us,  2.6 sy,  0.0 ni, 70.9 id,  0.0 wa,  0.0 hi,  0.0 si,  0.0 st
KiB Mem:   4044592 total,  3670200 used,   374392 free,       28 buffers
KiB Swap:  8383484 total,    99752 used,  8283732 free.  2378316 cached Mem

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND
16508 user      20   0 1308024 408460 107960 S 100.0 10.10   9:22.52 firefox
 2938 user      20   0  492244  43392  15504 S 2.970 1.073   0:17.13 gnome-terminal-
    7 root      20   0       0      0      0 S 0.990 0.000  10:52.82 rcu_preempt
 1441 root      20   0       0      0      0 S 0.990 0.000   1:13.48 xfsaild/dm-8
 2625 user      20   0 1933324 253736  56152 S 0.990 6.273  16:34.40 gnome-shell
Comment 5 Karl Cheng 2016-12-07 15:37:35 UTC
Hi, does this still occur with the latest Firefox updates? I hope this isn't still an issue.
Comment 6 Ulrich Windl 2016-12-08 07:19:42 UTC
I did not notice it again recently, but in the meantime I'm also at Leap 42.2 and MozillaFirefox-50.0.2-42.2.x86_64. So I guess it's fixed.
Comment 7 Karl Cheng 2016-12-08 07:42:11 UTC
(In reply to Ulrich Windl from comment #6)
> I did not notice it again recently, but in the meantime I'm also at Leap
> 42.2 and MozillaFirefox-50.0.2-42.2.x86_64. So I guess it's fixed.

Okay, given Leap 42.1 also has Firefox updates I'll mark this as fixed.